> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a contact > Can be used to update contacts.
Please Note: If an attribute, for example, mobileNumber, is not included or left empty, any existing value will be removed from the contact’s profile.
Request body examples:

{
"emailAddress": "test20200529@dropmail.mapp.com",
"attributes":
[
{"name": "FirstName", "value": "John"},
{"name": "LastName", "value": "Smith"},
{"name": "mobileNumber", "value": "335056067010"},
{"name": "user.ISOCountryCode", "value": "FR"}
]
}


ContactIdentifierType values: EMAIL - The identifier is an email address.
MOBILE - The identifier is a mobile number.
APP_ALIAS - The identifier is a mobile app alias.
EXTERNAL - The identifier is a value generated by an external system.
ID - Identifier. ## OpenAPI ````json POST /contact/update { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/contact/update": { "post": { "tags": [ "Contact" ], "summary": "Update a contact", "description": "Can be used to update contacts.
Please Note: If an attribute, for example, mobileNumber, is not included or left empty, any existing value will be removed from the contact’s profile.
Request body examples:

{
\"emailAddress\": \"test20200529@dropmail.mapp.com\",
\"attributes\":
[
{\"name\": \"FirstName\", \"value\": \"John\"},
{\"name\": \"LastName\", \"value\": \"Smith\"},
{\"name\": \"mobileNumber\", \"value\": \"335056067010\"},
{\"name\": \"user.ISOCountryCode\", \"value\": \"FR\"}
]
}


ContactIdentifierType values: EMAIL - The identifier is an email address.
MOBILE - The identifier is a mobile number.
APP_ALIAS - The identifier is a mobile app alias.
EXTERNAL - The identifier is a value generated by an external system.
ID - Identifier.", "operationId": "update", "parameters": [ { "name": "identifierType", "in": "query", "description": "The type of identifier to be used for the contact update.", "required": true, "schema": { "enum": [ "APP_ALIAS", "EMAIL", "EXTERNAL", "ID", "MOBILE" ], "type": "string" } } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Contact" } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/Contact" } } } }, "400": { "description": "Parameter unifiedIdentifierName and identifierType are mandatory, but are missing or incorrect.", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "Contact": { "type": "object", "properties": { "contactId": { "type": "integer", "format": "int64" }, "emailAddress": { "type": "string" }, "mobileNumber": { "type": "string" }, "applicationAlias": { "type": "string" }, "identifier": { "type": "string" }, "attributes": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } }, "channelAddresses": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } } } }, "Attribute": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } } } } } ````